--	start.lua
--	Creates a workspace and checks if we should load.


--	NOTE: this must match the finish.lua versions
local major, minor = "LibScriptLink-1.0", 1


--	We need to create a workspace even if we don't need 
--	to create the library, so that the other files know 
--	not to load.
local addonTable = LibStub("LibBuilder-1.0"):NewLib(major, minor)

--	Now register the library in LibStub
local LibScriptLink = LibStub:NewLibrary(major, minor)

if LibScriptLink then
	addonTable.canLoad = true
	addonTable.interface = LibScriptLink
end
